%global pkgname	themeselector
%global extention_dir %{_datadir}/gnome-shell/extensions
%global theme_dir %{_datadir}/%{name}
%global uuid themeselector@fpmurphy.com


Name:           gnome-shell-extensions-theme-selector
Version:        0.9
Release:        1%{?dist}
Summary:   	Gnome shell user theme selector 
Group:          User Interface/Desktops     

License:        GPLv2+
URL:            http://blog.fpmurphy.com/2011/04/gnome-shell-theme-selector-preview.html
Source0:        http://fpmurphy.com/public/%{pkgname}-%{version}.tar.gz
Source1:	theme-selector-setup

Requires:       gnome-shell-extensions-user-theme
Requires:       gnome-shell >= 3.0.1
BuildArch:      noarch

%description
Gnome shell user theme selector with preview

%prep
%setup -q -c 


%install
mkdir -p $RPM_BUILD_ROOT/%{extention_dir}/%{uuid}
mkdir -p  $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m644 extension.js $RPM_BUILD_ROOT/%{extention_dir}/%{uuid}/.
install -m644 metadata.json $RPM_BUILD_ROOT/%{extention_dir}/%{uuid}/.
#install -m644 stylesheet.css $RPM_BUILD_ROOT/%{extention_dir}/%{uuid}/.
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}/.

# put the theme files into some data dir
cp -r Adwaita $RPM_BUILD_ROOT/%{_datadir}/%{name}/.
cp -r Atolm $RPM_BUILD_ROOT/%{_datadir}/%{name}/.
cp -r DeviantArt $RPM_BUILD_ROOT/%{_datadir}/%{name}/.
cp -r ANewHope $RPM_BUILD_ROOT/%{_datadir}/%{name}/.
cp -r DarkGlass $RPM_BUILD_ROOT/%{_datadir}/%{name}/.
cp -r Elementary $RPM_BUILD_ROOT/%{_datadir}/%{name}/.
cp -r SmoothInsert $RPM_BUILD_ROOT/%{_datadir}/%{name}/.


%files
%doc README
%{_bindir}/theme-selector-setup
%{_datadir}/%{name}/*
%{extention_dir}/%{uuid}/*

%changelog
* Sat May 14 2011 Tim Lauridsen <timlau@fedoraproject.org> 0.9
- initial rpm build
